Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.projects.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/projects \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"reference": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"statusId": "<string>",
"companyId": "<string>",
"locationId": "<string>",
"externalIds": {}
}
]
'import requests
url = "https://idalia.app/api/projects"
payload = [
{
"name": "<string>",
"reference": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"statusId": "<string>",
"companyId": "<string>",
"locationId": "<string>",
"externalIds": {}
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
reference: '<string>',
startDate: '<string>',
endDate: '<string>',
notes: '<string>',
statusId: '<string>',
companyId: '<string>',
locationId: '<string>',
externalIds: {}
}
])
};
fetch('https://idalia.app/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"reference": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"statusId": "<string>",
"companyId": "<string>",
"locationId": "<string>",
"externalIds": {}
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Projects
Create projects
Creates projects
POST
/
projects
Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.projects.create();
console.log(result);
}
run();Body
application/json
Project data including a name
Name of the project
Reference of the project
Datetime the project starts
Datetime the project ends
Notes on the project
ID of the project status
ID of the company the project is for
ID of the location the project
Show child attributes
Show child attributes
Response
Returns newly created project objects
ID of the project
Datetime the project was created
ID of the workspace the project belongs to
Name of the project
Datetimet the project was last updated
ID of the user who created the project
ID of the user who last updated the project
Reference of the project
Datetime the project starts
Datetime the project ends
Notes on the project
ID of the project status
ID of the company the project is for
ID of the location the project
Show child attributes
Show child attributes
⌘I

